	//Carregar Class
	var Produto = new ClassProduto();

$( "#boxItensProdutoBox, #pnLocProdutoLista, #boxProduto, #pnItensProdutosPrincipal" ).tabs({});


 $('#boxAddProduto').dialog({
	autoOpen: false,
	modal: true,
	height: 600,
	width: 705,
	resizable : false,
	close: function(){Produto.ListaItensProduto('pnItensProdutosPrincipal');}
 })


 $('#boxAdd').dialog({
	autoOpen: false,
	modal: true,
	height: 400,
	width: 500,
	resizable : false,
	buttons: {'Salvar':function(){
								  
								  var FormAddProduto = $('#formAddProduto').serialize();
								  var qto = $('#edtQtoProduto').val();
								  var tamanho = $('#edtTamanhoProduto').val();
								  var producao = $('#rbProducao').val();
		
								  if(producao == '-1'){
									  show('Selecione quando será produzido');
								  return false;
								  }
								  
								   
								   if(Produto.modo == 'Insert')
								  // Produto.InsertProduto(qto, tamanho);
								  Produto.InsertProduto(FormAddProduto);
								   
								   if(Produto.modo == 'UpdateProduto')
								   Produto.UpdateProduto(FormAddProduto);
								   
								   $(this).dialog('close');
								   
								 },
			 'Cancelar':function(){$(this).dialog('close');}
			 }
 })

 $('#boxConfirmacao').dialog({
	autoOpen: false,
	modal: true,
	height: 600,
	width: 705,
	resizable : false
 })
 
 
 //Chama Cadastar Produto
  $('#pnCadProduto').dialog({
	autoOpen: false,
	modal: true,
	height: 600,
	width: 705,
	resizable : false
 })
 
 	//btn carraga cad produto
	$('#btnCadNovoProduto').on('click', function(){
/*		$('#pnCadProduto').dialog('open');
		$.ajax({
			 type: "POST",
			 url: "produto/principal.php",
			 beforeSend: function(){$("#pnCadProduto").html(Load()).fadeIn('slow');},
			 success: function(R){$("#pnCadProduto").html(R)} ,
			 error: function(R){ $("#pnCadProduto").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
								  $("#pnCadProduto").addClass('ui-state-error ui-corner-all');
								  }
		  }) //fim ajax	*/
		  
		  window.open('?p=produto/principal', '_blank');
	 return false;
	})
	
	
	//abri o box para inclusao e consulta de produtos
	$('#btnProduto').on('click',function(){
	 Produto.ListaItensProduto('boxItensProdutoBox');
	 $('#boxAddProduto').dialog('open');
	return false;
	})


	//Localiza os produtos
   $('#btnLocProduto').on('click', function(){
	  Produto.CarregarProduto($('#edtLocProduto').val());
	  return false;
	 })
	 
/*  	
	foi para script evento
	$('#btnDeleteItens').on('click',function(){
	  var id_evento_itens_produto = $(this).attr('id_evento_itens_produto');
	   if(confirm('Gostaria de Apagar esté produto?')){
	   	Produto.DeleteProduto(id_evento_itens_produto);
	   }
	   return false;
	})*/
	 
	 //Alterar Itens de produto do Evento
	$(document).on('click','#btnAlteraItens',function(){
		var qto = $(this).attr('qto');
		var tamanho = $(this).attr('tamanho');
		var desc = $(this).attr('desc');
		
		$('#lbDescricao').html(desc);
		
		$('#spQTO').show();
		$('#spTamanho').show();
		$('#edtTamanhoProduto').val(tamanho);
		$('#edtQtoProduto').val(qto);
		
		if (!qto)
		$('#spQTO').hide();
		
		if (!tamanho)
		$('#spTamanho').hide();
	
		Produto.id_evento_itens_produto = $(this).attr('id_evento_itens_produto');
		Produto.modo = 'UpdateProduto';
		$('#boxAdd').dialog('open');
		
	return false
	})
	 

	//adicionar novo produtos
	$(document).on('click','#pnAddProduto',function(){
		$('#spQTO').show();
		$('#spTamanho').show();
		$('#edtTamanhoProduto').val('');
		$('#edtQtoProduto').val('');
		
		var desc = $(this).attr('desc');
		var producao = $(this).attr('producao');
		CarregarOpcaoPoducao(producao);
		
		$('#lbDescricao').html(desc);
		
		if (desc.search('{TAMANHO}') == -1)
		$('#spTamanho').hide();
		
		if (desc.search('{QTO}') == -1)
		$('#spQTO').hide();
		
				
		Produto.id_produto = $(this).attr('id_produto');
		Produto.modo = 'Insert';
		$('#boxAdd').dialog('open');
	
	return false;
	})

	Produto.ListaItensProduto('pnItensProdutosPrincipal');
	




///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function CarregarOpcaoPoducao(producao){
	$.ajax({
			 type: "POST",
			 url: "evento/produto/opcao_producao.php",
			 data: 'producao='+producao, 
			 beforeSend: function(){$("#pnOpcaoProducao").html(Load()).fadeIn('slow');},
			 success: function(R){$("#pnOpcaoProducao").html(R)} ,
			 error: function(R){ $("#pnOpcaoProducao").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
								  $("#pnOpcaoProducao").addClass('ui-state-error ui-corner-all');
								  }
		  }) //fim ajax	
	
	
}



function ClassProduto(){
	var id_evento = $('#id_evento').val();
	var id_produto;
	var modo;
	var id_evento_itens_produto;
	
	this.CarregarProduto = function(dados){
			$.ajax({
			 type: "POST",
			 url: "evento/produto/produto_lista.php",
			 data: 'dados='+dados, 
			 beforeSend: function(){$("#boxProduto").html(Load()).fadeIn('slow');},
			 success: function(R){$("#boxProduto").html(R)} ,
			 error: function(R){ $("#boxProduto").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
								  $("#boxProduto").addClass('ui-state-error ui-corner-all');
								  }
		  }) //fim ajax		
	}
		
		
	this.ListaItensProduto = function(destinoDoResultado){
		$.ajax({
			 type: "POST",
			 url: "evento/produto/itens_produto.php",
			 data: 'id_evento='+id_evento, 
			 beforeSend: function(){$("#"+destinoDoResultado).html(Load()).fadeIn('slow');},
			 success: function(R){$("#"+destinoDoResultado).html(R)} ,
			 error: function(R){ $("#"+destinoDoResultado).html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
								  $("#"+destinoDoResultado).addClass('ui-state-error ui-corner-all');
								  }
		  }) //fim ajax	
		
	}
	
	this.InsertProduto = function(Formulario){
		$.ajax({
			 type: "POST",
			 url: "evento/produto/ax.produto.php",
			// data: 'ax=InsertProduto&id_evento='+id_evento+'&qto='+qto+'&tamanho='+tamanho+'&id_produto='+this.id_produto, 
			 data: 'ax=InsertProduto&id_evento='+id_evento+'&id_produto='+this.id_produto+'&'+Formulario, 
			 beforeSend: function(){$("#pnItensProdutosPrincipal").html(Load()).fadeIn('slow');},
			 success: function(R){new ClassProduto().ListaItensProduto('boxItensProdutoBox')},
			 error: function(R){ $("#pnItensProdutosPrincipal").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
								  $("#pnItensProdutosPrincipal").addClass('ui-state-error ui-corner-all');
								  }
		  }) //fim ajax	
			
	}
	
	
	this.UpdateProduto = function(Formulario){
		$.ajax({
			 type: "POST",
			 url: "evento/produto/ax.produto.php",
			 //data: 'ax=UpdateProduto&id_evento='+id_evento+'&qto='+qto+'&tamanho='+tamanho+'&id_evento_itens_produto='+this.id_evento_itens_produto, 
			 data: 'ax=UpdateProduto&id_evento='+id_evento+'&'+Formulario+'&id_evento_itens_produto='+this.id_evento_itens_produto, 
			 beforeSend: function(){$("#pnItensProdutosPrincipal").html(Load()).fadeIn('slow');},
			 success: function(R){new ClassProduto().ListaItensProduto('pnItensProdutosPrincipal')},
			 error: function(R){ $("#pnItensProdutosPrincipal").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
								  $("#pnItensProdutosPrincipal").addClass('ui-state-error ui-corner-all');
								  }
		  }) //fim ajax	
	}
	
	this.DeleteProduto = function(id_evento_itens_produto){
		$.ajax({
			 type: "POST",
			 url: "evento/produto/ax.produto.php",
			 data: 'ax=DeleteProduto&id_evento_itens_produto='+id_evento_itens_produto, 
			 beforeSend: function(){/*$("#pnItensProdutosPrincipal").html(Load()).fadeIn('slow');*/},
			 success: function(R){/*new ClassProduto().ListaItensProduto('pnItensProdutosPrincipal')*/},
			 error: function(R){ $("#pnItensProdutosPrincipal").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
								  $("#pnItensProdutosPrincipal").addClass('ui-state-error ui-corner-all');
								  }
		  }) //fim ajax	
	}
	
	
		
		
}





$("#edtLocProduto").keypress(function(event) {
  if ( event.which == 13 ) {
     event.preventDefault();
  	 Produto.CarregarProduto($('#edtLocProduto').val());
   }

});

$("#edtLocProduto").click(function() {
  $("#edtLocProduto").keypress();
});


